<?xml version="1.0" encoding="UTF-8"?>
<plugin
   id="yu.org.goodoldai.air.wb.ui.mdr.odm"
   name="%pluginName"
   version="0.0.1"
   provider-name="%providerName"
   class="yu.org.goodoldai.air.wb.ui.mdr.odm.AirODMUIPlugin">

   <runtime>
      <library name="airwbodmui.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.ui"/>
      <import plugin="yu.org.goodoldai.air.wb.ui.core"/>
      <import plugin="yu.org.goodoldai.air.core"/>
      <import plugin="yu.org.goodoldai.air.wb.mdr.odm"/>
      <import plugin="org.eclipse.gef"/>
      <import plugin="yu.org.goodoldai.air.wb.mdr.core"/>
      <import plugin="yu.org.goodoldai.air.wb.core"/>
   </requires>


   <extension
         id="yu.org.goodoldai.air.wb.ui.mdr.explorer.popupMenus"
         name="Popup Menus"
         point="org.eclipse.ui.popupMenus">
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.OdmPackageAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.OdmPackage">
         <action
               label="%createOntologyActionLabel"
               icon="icons/odm/ontology.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.odmpackage.CreateOntologyActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.CreateOntology">
         </action>
         <action
               label="%createStatementActionLabel"
               icon="icons/odm/statement.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.odmpackage.CreateStatementActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.CreateStatement">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.OntologyAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.Ontology">
         <action
               label="%createAllDifferentActionLabel"
               icon="icons/odm/alldifferent.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.ontology.CreateAllDifferentActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.CreateAllDifferent">
         </action>
         <action
               label="%createClassActionLabel"
               icon="icons/odm/ontclass.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.ontology.CreateOntClassActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.CreateOntClass">
         </action>
         <action
               label="%createDataTypeActionLabel"
               icon="icons/odm/datatype.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.ontology.CreateDataTypeActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.CreateDataType">
         </action>
         <action
               label="%createObjectPropertyActionLabel"
               icon="icons/odm/objectProperty.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.ontology.CreateObjectPropertyActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.CreateObjectProperty">
         </action>
         <action
               label="%createDatatypePropertyActionLabel"
               icon="icons/odm/datatypeProperty.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.ontology.CreateDatatypePropertyActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.CreateDatatypeProperty">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.OntClassAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.OdmClass">
         <action
               label="%createEnumerationActionLabel"
               icon="icons/odm/enumeration.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.ontclass.CreateEnumerationActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.CreateEnumeration">
         </action>
         <action
               label="%createUnionActionLabel"
               icon="icons/odm/union.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.ontclass.CreateUnionActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.CreateUnion">
         </action>
         <action
               label="%createIntersectionActionLabel"
               icon="icons/odm/intersection.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.ontclass.CreateIntersectionActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.CreateIntersection">
         </action>
         <action
               label="%createComplementActionLabel"
               icon="icons/odm/complement.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.ontclass.CreateComplementActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.CreateComplement">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.PropertyAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.Property">
         <action
               label="%createFunctionalPropertyActionLabel"
               icon="icons/odm/functionalproperty.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.property.CreateFunctionalPropertyActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.CreateFunctionalProperty">
         </action>
         <action
               label="%createInverseFunctionalPropertyActionLabel"
               icon="icons/odm/inversefunctionalproperty.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.property.CreateInverseFunctionalPropertyActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.CreateInverseFunctionalProperty">
         </action>
         <action
               label="%createTransitivePropertyActionLabel"
               icon="icons/odm/transitiveproperty.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.property.CreateTransitivePropertyActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.CreateTransitiveProperty">
         </action>
         <action
               label="%createSymmetricPropertyActionLabel"
               icon="icons/odm/symmetricproperty.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.property.CreateSymmetricPropertyActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.CreateSymmetricProperty">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.IOntologyClassAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.objectcontribution.IOntologyClassAdaptabe">
         <action
               label="%createOntologyActionLabel"
               icon="icons/odm/ontology.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateOntologyActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateOntologyActionDelegate">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.IOntClassClassAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.objectcontribution.IOntClassClassAdaptabe">
         <action
               label="%createOntClassActionLabel"
               icon="icons/odm/ontclass.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateOntClassActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateOntClassActionDelegate">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.IIndividualClassAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.objectcontribution.IIndividualClassAdaptabe">
         <action
               label="%createIndividualActionLabel"
               icon="icons/odm/individual.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateIndividualActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateIndividualActionDelegate">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.IDatatypePropertyClassAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.objectcontribution.IDatatypePropertyClassAdaptabe">
         <action
               label="%createDatatypePropertyActionLabel"
               icon="icons/odm/datatypeproperty.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateDatatypePropertyActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateDatatypePropertyActionDelegate">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.IObjectPropertyClassAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.objectcontribution.IObjectPropertyClassAdaptabe">
         <action
               label="%createObjectPropertyActionLabel"
               icon="icons/odm/objectproperty.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateObjectPropertyActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateObjectPropertyActionDelegate">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.IDataValueClassAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.objectcontribution.IDataValueClassAdaptabe">
         <action
               label="%createDataValueActionLabel"
               icon="icons/odm/datavalue.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateDataValueActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateDataValueActionDelegate">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.IAllDifferentClassAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.objectcontribution.IAllDifferentClassAdaptabe">
         <action
               label="%createAllDifferentActionLabel"
               icon="icons/odm/alldifferent.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateAllDifferentActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateAllDifferentActionDelegate">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.IIntersectionClassAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.objectcontribution.IIntersectionClassAdaptabe">
         <action
               label="%createIntersectionActionLabel"
               icon="icons/odm/intersection.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateIntersectionActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateIntersectionActionDelegate">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.IEnumerationClassAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.objectcontribution.IEnumerationClassAdaptabe">
         <action
               label="%createEnumerationActionLabel"
               icon="icons/odm/enumeration.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateEnumerationActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateEnumerationActionDelegate">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.IComplementClassAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.objectcontribution.IComplementClassAdaptabe">
         <action
               label="%createComplementActionLabel"
               icon="icons/odm/complement.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateComplementActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateComplementActionDelegate">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.IUnionClassAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.objectcontribution.IUnionClassAdaptabe">
         <action
               label="%createUnionActionLabel"
               icon="icons/odm/union.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateUnionActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateUnionActionDelegate">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.IDataTypeClassAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.objectcontribution.IDataTypeClassAdaptabe">
         <action
               label="%createDataTypeActionLabel"
               icon="icons/odm/datatype.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateDataTypeActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateDataTypeActionDelegate">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.IStatementClassAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.objectcontribution.IStatementClassAdaptabe">
         <action
               label="%createStatementActionLabel"
               icon="icons/odm/statement.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateStatementActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateStatementActionDelegate">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.IFunctionalPropertyClassAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.objectcontribution.IFunctionalPropertyClassAdaptabe">
         <action
               label="%createFunctionalPropertyActionLabel"
               icon="icons/odm/functionalproperty.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateFunctionalPropertyActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateFunctionalPropertyActionDelegate">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.IInverseFunctionalPropertyClassAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.objectcontribution.IInverseFunctionalPropertyClassAdaptabe">
         <action
               label="%createInverseFunctionalPropertyActionLabel"
               icon="icons/odm/inversefunctionalproperty.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateInverseFunctionalPropertyActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateInverseFunctionalPropertyActionDelegate">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.ISymmetricPropertyClassAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.objectcontribution.ISymmetricPropertyClassAdaptabe">
         <action
               label="%createSymmetricPropertyActionLabel"
               icon="icons/odm/symmetricproperty.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateSymmetricPropertyActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateSymmetricPropertyActionDelegate">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.ITransitivePropertyClassAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.objectcontribution.ITransitivePropertyClassAdaptabe">
         <action
               label="%createTransitivePropertyActionLabel"
               icon="icons/odm/transitiveproperty.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateTransitivePropertyActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateTransitivePropertyActionDelegate">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.ICardinalityClassAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.objectcontribution.ICardinalityClassAdaptabe">
         <action
               label="%createCardinalityActionLabel"
               icon="icons/odm/restriction.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateCardinalityActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateCardinalityActionDelegate">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.IMaxCardinalityClassAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.objectcontribution.IMaxCardinalityClassAdaptabe">
         <action
               label="%createMaxCardinalityActionLabel"
               icon="icons/odm/restriction.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateMaxCardinalityActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateMaxCardinalityActionDelegate">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.IMinCardinalityClassAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.objectcontribution.IMinCardinalityClassAdaptabe">
         <action
               label="%createMinCardinalityActionLabel"
               icon="icons/odm/restriction.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateMinCardinalityActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateMinCardinalityActionDelegate">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.IAllValuesFromClassAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.objectcontribution.IAllValuesFromClassAdaptable">
         <action
               label="%createAllValuesFromActionLabel"
               icon="icons/odm/restriction.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateAllValuesFromActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateAllValuesFromActionDelegate">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.ISomeValuesFromClassAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.objectcontribution.ISomeValuesFromClassAdaptable">
         <action
               label="%createSomeValuesFromActionLabel"
               icon="icons/odm/restriction.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateSomeValuesFromActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateSomeValuesFromActionDelegate">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.odm.adaptable.IHasValueClassAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.odm.objectcontribution.IHasValueClassAdaptable">
         <action
               label="%createHasValueActionLabel"
               icon="icons/odm/restriction.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateHasValueActionDelegate"
               menubarPath="pmmetamodel"
               id="yu.org.goodoldai.air.wb.ui.mdr.odm.actions.classcentric.CreateHasValueActionDelegate">
         </action>
      </objectContribution>
   </extension>

</plugin>
